spring:
  rabbitmq:
    password: pdd
    username: pdd
    host: 127.0.0.1
    port: 5672

  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
#    url: jdbc:mysql://192.168.2.222:3306/pdd_api?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=GMT
#    username: root
#    password: root
#    url: jdbc:mysql://lyhj-mysql.mysql.rds.aliyuncs.com:3306/pdd_prod?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=GMT
#    username: pdd
#    password: pdd123
    url: jdbc:mysql://rm-j6cv8n7zx12x0sqreuo.mysql.rds.aliyuncs.com:3306/pdd_prod?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=GMT
    username: pdd
    password: pdd123
    hikari:
      minimum-idle: 5  # 最小空闲连接数
      maximum-pool-size: 10  # 最大活跃连接数
      idle-timeout: 30000  # 空闲连接生命周期，以毫秒为单位
      pool-name: HikariCP  # 连接池名称，主要用于记录日志和JMX管理，默认为生成的
      max-lifetime: 1800000  # 连接在连接池中允许存在的最长时间，默认为30分钟，以毫秒为单位
      connection-timeout: 30000  # 连接超时时间，以毫秒为单位
  application:
    name: PddServer
server:
#  port: 9000 # 正式端口号 - 向拼多多正式环境开放接口
  port: 9100 # 正式端口号 - 向海际系统正式环境开放接口
#  port: 8600 # 测试端口号
logging:
  level:
    org:
      ta:
        pddserver: debug
mybatis-plus:
  configuration:
    map-underscore-to-camel-case: false

pdd:
  jyt: 0
  gd: 0
  lotto: 0